Domains

Authentication
The API key should be sent as a Bearer token in the Authorization header of the request. Get your API key.
List

API endpoint

GET
https://accrutransfer.accrusoft.com/api/v1/domains

Request example

curl --location --request GET 'https://accrutransfer.accrusoft.com/api/v1/domains' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'

Parameters

Name
Type
Description
search
optional string
Search query.
search_by
optional string
Search by. Possible values are: name for Name. Defaults to: name.
sort_by
optional string
Sort by. Possible values are: id for Date created, name for Name. Defaults to: id.
sort
optional string
Sort. Possible values are: desc for Descending, asc for Ascending. Defaults to: desc.
per_page
optional integer
Results per page. Possible values are: 10, 25, 50, 100. Defaults to: 10.
Show

API endpoint

GET
https://accrutransfer.accrusoft.com/api/v1/domains/{id}

Request example

curl --location --request GET 'https://accrutransfer.accrusoft.com/api/v1/domains/{id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Store

API endpoint

POST
https://accrutransfer.accrusoft.com/api/v1/domains

Request example

curl --location --request POST 'https://accrutransfer.accrusoft.com/api/v1/domains' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}' \
--data-urlencode 'name={name}'

Parameters

Name
Type
Description
name
required string
Name.
homepage_url
optional string
Homepage URL.
not_found_url
optional string
404 Not Found URL.
Update

API endpoint

PUT PATCH
https://accrutransfer.accrusoft.com/api/v1/domains/{id}

Request example

curl --location --request PUT 'https://accrutransfer.accrusoft.com/api/v1/domains/{id}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}'

Parameters

Name
Type
Description
homepage_url
optional string
Homepage URL.
not_found_url
optional string
404 Not Found URL.
Delete

API endpoint

DELETE
https://accrutransfer.accrusoft.com/api/v1/domains/{id}

Request example

curl --location --request DELETE 'https://accrutransfer.accrusoft.com/api/v1/domains/{id}' \
--header 'Authorization: Bearer {api_key}'